USE [master]
GO
/****** Object:  Database [UsersTasksDB]    Script Date: 11.12.2019 23:53:11 ******/
CREATE DATABASE [UsersTasksDB]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'UsersTasksDB', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL14.REIDAK\MSSQL\DATA\UsersTasksDB.mdf' , SIZE = 8192KB , MAXSIZE = UNLIMITED, FILEGROWTH = 65536KB )
 LOG ON 
( NAME = N'UsersTasksDB_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL14.REIDAK\MSSQL\DATA\UsersTasksDB_log.ldf' , SIZE = 73728KB , MAXSIZE = 2048GB , FILEGROWTH = 65536KB )
GO
ALTER DATABASE [UsersTasksDB] SET COMPATIBILITY_LEVEL = 140
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [UsersTasksDB].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [UsersTasksDB] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [UsersTasksDB] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [UsersTasksDB] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [UsersTasksDB] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [UsersTasksDB] SET ARITHABORT OFF 
GO
ALTER DATABASE [UsersTasksDB] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [UsersTasksDB] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [UsersTasksDB] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [UsersTasksDB] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [UsersTasksDB] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [UsersTasksDB] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [UsersTasksDB] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [UsersTasksDB] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [UsersTasksDB] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [UsersTasksDB] SET  DISABLE_BROKER 
GO
ALTER DATABASE [UsersTasksDB] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [UsersTasksDB] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [UsersTasksDB] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [UsersTasksDB] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [UsersTasksDB] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [UsersTasksDB] SET READ_COMMITTED_SNAPSHOT OFF 
GO
ALTER DATABASE [UsersTasksDB] SET HONOR_BROKER_PRIORITY OFF 
GO
ALTER DATABASE [UsersTasksDB] SET RECOVERY FULL 
GO
ALTER DATABASE [UsersTasksDB] SET  MULTI_USER 
GO
ALTER DATABASE [UsersTasksDB] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [UsersTasksDB] SET DB_CHAINING OFF 
GO
ALTER DATABASE [UsersTasksDB] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO
ALTER DATABASE [UsersTasksDB] SET TARGET_RECOVERY_TIME = 60 SECONDS 
GO
ALTER DATABASE [UsersTasksDB] SET DELAYED_DURABILITY = DISABLED 
GO
EXEC sys.sp_db_vardecimal_storage_format N'UsersTasksDB', N'ON'
GO
ALTER DATABASE [UsersTasksDB] SET QUERY_STORE = OFF
GO
USE [UsersTasksDB]
GO
/****** Object:  Table [dbo].[TaskDB]    Script Date: 11.12.2019 23:53:11 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TaskDB](
	[TaskNumber] [int] NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[Creator] [int] NOT NULL,
	[Priority] [int] NULL,
	[Executor] [int] NULL,
	[Apprasial] [float] NULL,
	[Status] [nvarchar](50) NULL,
	[Create_dttm] [datetime] NOT NULL,
	[Assign_dttm] [datetime] NULL,
	[Planned_start_dt] [datetime] NULL,
	[Planned_close_dt] [datetime] NULL,
	[Close_dttm] [datetime] NULL,
	[Task_above] [int] NULL,
	[Task_below] [int] NULL,
	[Progress] [int] NULL,
 CONSTRAINT [PK_Task] PRIMARY KEY CLUSTERED 
(
	[TaskNumber] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[UserDB]    Script Date: 11.12.2019 23:53:12 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[UserDB](
	[Id] [int] NOT NULL,
	[First_name] [nvarchar](50) NOT NULL,
	[Middle_name] [nvarchar](50) NOT NULL,
	[Last_name] [nvarchar](50) NOT NULL,
	[Role] [nvarchar](50) NOT NULL,
	[Manager] [int] NULL,
 CONSTRAINT [PK_User] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[TaskDB]  WITH CHECK ADD  CONSTRAINT [FK_Creator] FOREIGN KEY([Creator])
REFERENCES [dbo].[UserDB] ([Id])
GO
ALTER TABLE [dbo].[TaskDB] CHECK CONSTRAINT [FK_Creator]
GO
ALTER TABLE [dbo].[TaskDB]  WITH CHECK ADD  CONSTRAINT [FK_Executor] FOREIGN KEY([Executor])
REFERENCES [dbo].[UserDB] ([Id])
GO
ALTER TABLE [dbo].[TaskDB] CHECK CONSTRAINT [FK_Executor]
GO
ALTER TABLE [dbo].[TaskDB]  WITH CHECK ADD  CONSTRAINT [FK_Task_above] FOREIGN KEY([Task_above])
REFERENCES [dbo].[TaskDB] ([TaskNumber])
GO
ALTER TABLE [dbo].[TaskDB] CHECK CONSTRAINT [FK_Task_above]
GO
ALTER TABLE [dbo].[TaskDB]  WITH CHECK ADD  CONSTRAINT [FK_Task_below] FOREIGN KEY([Task_below])
REFERENCES [dbo].[TaskDB] ([TaskNumber])
GO
ALTER TABLE [dbo].[TaskDB] CHECK CONSTRAINT [FK_Task_below]
GO
ALTER TABLE [dbo].[UserDB]  WITH CHECK ADD  CONSTRAINT [FK_Manager] FOREIGN KEY([Manager])
REFERENCES [dbo].[UserDB] ([Id])
GO
ALTER TABLE [dbo].[UserDB] CHECK CONSTRAINT [FK_Manager]
GO
USE [master]
GO
ALTER DATABASE [UsersTasksDB] SET  READ_WRITE 
GO
